<mat-card>
  <mat-card-header>
    <img mat-card-avatar loading="lazy" src="{{ pokemon.url }}" alt="{{ pokemon.name }}">
    <mat-card-title>{{ pokemon.name }}</mat-card-title>
    <mat-card-subtitle>{{ pokemon.type }}</mat-card-subtitle>
  </mat-card-header>
  <img mat-card-image loading="lazy" src="{{ pokemon.url }}" alt="{{ pokemon.name }}" style="max-height: 128px;max-width: 100%;">
  <mat-card-content>{{ pokemon.description }}</mat-card-content>
  <mat-card-actions>
    <button mat-raised-button color="primary">
      <mat-icon>favorite</mat-icon>
      Favourite
    </button>
    <button mat-raised-button color="primary">
      <mat-icon>library_add</mat-icon>
      Own
    </button>
  </mat-card-actions>
</mat-card>
